Gecode::FlatZinc::FlatZincGetInfo Class Reference

## Public Member Functions

| FlatZincGetInfo (const Printer &printer)
virtual std::string | getInfo (const Space &space) const
| Return info for a space.
| ~FlatZincGetInfo (void)
Public Member Functions inherited from Gecode::CPProfilerSearchTracer::GetInfo
| GetInfo (void)
| Initialize.
virtual | ~GetInfo (void)
| Delete.

## Public Attributes

const Printer & | p

## Additional Inherited Members

Static Public Member Functions inherited from Gecode::HeapAllocated
static void * | operator new (size_t s)
| Memory management.
static void | operator delete (void *p)
| Free memory allocated from heap.

## Detailed Description

Definition at line 1743 of file flatzinc.cpp.

## Constructor & Destructor Documentation

## FlatZincGetInfo()

Gecode::FlatZinc::FlatZincGetInfo::FlatZincGetInfo | ( | const Printer & | printer | ) |

inline

Definition at line 1746 of file flatzinc.cpp.

## ~FlatZincGetInfo()

Gecode::FlatZinc::FlatZincGetInfo::~FlatZincGetInfo | ( | void |  | ) |

inline

Definition at line 1757 of file flatzinc.cpp.

## Member Function Documentation

## getInfo()

virtual std::string Gecode::FlatZinc::FlatZincGetInfo::getInfo | ( | const Space & | home | ) | const

inline virtual

Return info for a space.

Implements Gecode::CPProfilerSearchTracer::GetInfo.

Definition at line 1748 of file flatzinc.cpp.

## Member Data Documentation

## p

const Printer& Gecode::FlatZinc::FlatZincGetInfo::p

Definition at line 1745 of file flatzinc.cpp.

The documentation for this class was generated from the following file:

- gecode/flatzinc/flatzinc.cpp